<?php
// @codingStandardsIgnoreFile
// @codeCoverageIgnoreStart
require_once '/usr/share/php/Fedora/Autoloader'.'/autoload.php';

\Fedora\Autoloader\Autoload::addClassMap(
    array(
        'laminas\\xmlrpc\\abstractvalue' => '/AbstractValue.php',
                'laminas\\xmlrpc\\client' => '/Client.php',
                'laminas\\xmlrpc\\client\\exception\\exceptioninterface' => '/Client/Exception/ExceptionInterface.php',
                'laminas\\xmlrpc\\client\\exception\\faultexception' => '/Client/Exception/FaultException.php',
                'laminas\\xmlrpc\\client\\exception\\httpexception' => '/Client/Exception/HttpException.php',
                'laminas\\xmlrpc\\client\\exception\\introspectexception' => '/Client/Exception/IntrospectException.php',
                'laminas\\xmlrpc\\client\\exception\\invalidargumentexception' => '/Client/Exception/InvalidArgumentException.php',
                'laminas\\xmlrpc\\client\\exception\\runtimeexception' => '/Client/Exception/RuntimeException.php',
                'laminas\\xmlrpc\\client\\serverintrospection' => '/Client/ServerIntrospection.php',
                'laminas\\xmlrpc\\client\\serverproxy' => '/Client/ServerProxy.php',
                'laminas\\xmlrpc\\exception\\badmethodcallexception' => '/Exception/BadMethodCallException.php',
                'laminas\\xmlrpc\\exception\\exceptioninterface' => '/Exception/ExceptionInterface.php',
                'laminas\\xmlrpc\\exception\\invalidargumentexception' => '/Exception/InvalidArgumentException.php',
                'laminas\\xmlrpc\\exception\\runtimeexception' => '/Exception/RuntimeException.php',
                'laminas\\xmlrpc\\exception\\valueexception' => '/Exception/ValueException.php',
                'laminas\\xmlrpc\\fault' => '/Fault.php',
                'laminas\\xmlrpc\\generator\\abstractgenerator' => '/Generator/AbstractGenerator.php',
                'laminas\\xmlrpc\\generator\\domdocument' => '/Generator/DomDocument.php',
                'laminas\\xmlrpc\\generator\\generatorinterface' => '/Generator/GeneratorInterface.php',
                'laminas\\xmlrpc\\generator\\xmlwriter' => '/Generator/XmlWriter.php',
                'laminas\\xmlrpc\\request' => '/Request.php',
                'laminas\\xmlrpc\\request\\http' => '/Request/Http.php',
                'laminas\\xmlrpc\\request\\stdin' => '/Request/Stdin.php',
                'laminas\\xmlrpc\\response' => '/Response.php',
                'laminas\\xmlrpc\\response\\http' => '/Response/Http.php',
                'laminas\\xmlrpc\\server' => '/Server.php',
                'laminas\\xmlrpc\\server\\cache' => '/Server/Cache.php',
                'laminas\\xmlrpc\\server\\exception\\badmethodcallexception' => '/Server/Exception/BadMethodCallException.php',
                'laminas\\xmlrpc\\server\\exception\\exceptioninterface' => '/Server/Exception/ExceptionInterface.php',
                'laminas\\xmlrpc\\server\\exception\\invalidargumentexception' => '/Server/Exception/InvalidArgumentException.php',
                'laminas\\xmlrpc\\server\\exception\\runtimeexception' => '/Server/Exception/RuntimeException.php',
                'laminas\\xmlrpc\\server\\fault' => '/Server/Fault.php',
                'laminas\\xmlrpc\\server\\system' => '/Server/System.php',
                'laminas\\xmlrpc\\value\\abstractcollection' => '/Value/AbstractCollection.php',
                'laminas\\xmlrpc\\value\\abstractscalar' => '/Value/AbstractScalar.php',
                'laminas\\xmlrpc\\value\\arrayvalue' => '/Value/ArrayValue.php',
                'laminas\\xmlrpc\\value\\base64' => '/Value/Base64.php',
                'laminas\\xmlrpc\\value\\biginteger' => '/Value/BigInteger.php',
                'laminas\\xmlrpc\\value\\boolean' => '/Value/Boolean.php',
                'laminas\\xmlrpc\\value\\datetime' => '/Value/DateTime.php',
                'laminas\\xmlrpc\\value\\double' => '/Value/Double.php',
                'laminas\\xmlrpc\\value\\integer' => '/Value/Integer.php',
                'laminas\\xmlrpc\\value\\nil' => '/Value/Nil.php',
                'laminas\\xmlrpc\\value\\struct' => '/Value/Struct.php',
                'laminas\\xmlrpc\\value\\text' => '/Value/Text.php',
    ),
    __DIR__
);
// @codeCoverageIgnoreEnd
\Fedora\Autoloader\Dependencies::required([
    '/usr/share/php/Laminas/Http/autoload.php',
    '/usr/share/php/Laminas/Math/autoload.php',
    '/usr/share/php/Laminas/Server/autoload.php',
    '/usr/share/php/Laminas/Stdlib/autoload.php',
    '/usr/share/php/Laminas/Xml/autoload.php',
]);
\Fedora\Autoloader\Dependencies::optional([
    '/usr/share/php/Laminas/Cache/autoload.php',
]);
